apiVersion: apps/v1
kind: Deployment
metadata:
  name: user-service-deployment
  labels:
    app: user-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: user-service
  template:
    metadata:
      labels:
        app: user-service
    spec:
      containers:
        - name: user-service
          image: user-service:0.0.1-SNAPSHOT # This image needs to be built and pushed to a registry
          ports:
            - containerPort: 8080
          env:
            # Example of an environment variable
            - name: SPRING_PROFILES_ACTIVE
              value: prod
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"
            requests:
              memory: "256Mi"
              cpu: "200m"
